#define PATH_SIZE       (0x100)
#define TOKEN_LIST_SIZE (0x20)

typedef struct
{
    char *token;
    int value;
}t_strint;

typedef struct
{
    int video_width;
    int video_height;
    int video_depth;
    int video_driver;
    int video_filter;
   int video_refresh;

    int fixrgb;
    int rtpal;
    int vsync;
    int throttle;
    int skip;
    int showfps;
   int scanlines;

    int sound;
    int sndcard;
    int sndrate;
    int sndinterp;
    float sndvol;
    int sound_filter;
    int swap;

    int nopsg;
    int nofm;
    int uberpsg;

    int wave;
    char wavpath[PATH_SIZE];

    int joy_driver;

    int split;              /* 1= Split image at 2 megabit boundary */
    int flip;               /* 1= Bit-flip image */
    int usa;                /* 1= Set D6 of $1000 to indicate US machine */
    int softres;            /* 1= Allow RUN+SELECT */
} t_option;

/* Global variables */
extern t_option option;

/* Function prototypes */
extern void do_config(char *file);
extern int parse_file(char *filename, int *argc, char **argv);
extern void parse_args(int argc, char **argv);
extern void print_options(void);
extern int check_bool(char *token);
extern void set_option_defaults(void);
